Few more fixes, signing app, and adding sparkle

Change-Id: I33f6d846f5797245e37caf705bd3aa987a7f964e
diff --git a/make-deps.sh b/make-deps.sh
index b54cd9d..d47e7a0 100755
--- a/make-deps.sh
+++ b/make-deps.sh
@@ -8,6 +8,15 @@
 mkdir build 2>/dev/null || true
 path="$(pwd)"
 
+pushd build
+wget https://github.com/sparkle-project/Sparkle/releases/download/1.14.0/Sparkle-1.14.0.tar.bz2
+mkdir Sparkle-1.14 || true
+pushd Sparkle-1.14
+tar xf ../Sparkle-1.14.0.tar.bz2
+popd
+mv Sparkle-1.14/Sparkle.framework .
+popd
+
 #######################################
 
 rm -Rf build/ndn-cxx